%define kernel_rel	%(eval uname -r)
%define kmdl_ksrcdir	/lib/modules/%{kernel_rel}/build
%define kmdl_moduledir	/lib/modules/%{kernel_rel}/kernel

Summary: Kernel module for the Intel PRO/Wireless 2100.
Name: ipw2100
Version: 1.1.2
Release: b1
License: GPL2
Group: System Environment/Kernel
URL: http://ipw2100.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: ipw2100-firmware = 1.3

BuildArchitectures: i586

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2100 Network Connection mini PCI adapter.

%prep
%setup -q
grep -rl IW_MDOE_ADHOC . | xargs perl -pi -e's,IW_MDOE_ADHOC,IW_MODE_ADHOC,g'
grep -rl MODULE_PARM_DEC . | xargs perl -pi -e's,MODULE_PARM_DEC,MODULE_PARM_DESC,g'
perl -pi -e's,# CONFIG_IPW2100_LEGACY_FW_LOAD=y,CONFIG_IPW2100_LEGACY_FW_LOAD=y,' Makefile
perl -pi -e's,# CONFIG_IEEE80211_WPA=,CONFIG_IEEE80211_WPA=,' Makefile
perl -pi -e's,/sbin/depmod,:,g' Makefile

%build
make KSRC=%{kmdl_ksrcdir}

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir}
install -p ipwinfo %{buildroot}%{_sbindir}/

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw
make KSRC=%{kmdl_ksrcdir} KMISC=%{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw install

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
#%doc README* LICENSE
%{_sbindir}/
%{kmdl_moduledir}/drivers/net/wireless/ipw/*


%changelog
* Sun Jul 17 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.2
* Thu May 19 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
